#!/usr/bin/perl -w

# generate "control" from PACKAGEDIR (first argumemt)
# writes to STDOUT
# USAGE: ./make_control PACKAGEDIR

$PACKAGEDIR = shift;
if($PACKAGEDIR =~ m/^([^_]+)_([^_]+)_([^_]+)$/)
{
	$name=$1;
	$version=$2;
	$arch=$3;
}
else { die "First argument does not match package naming conventions." }

open(IN, "cd $PACKAGEDIR && du -sk --apparent-size|");
$inp = <IN>;
chomp $inp;
($size = $inp) =~ s/^(\d+)\D.*$/$1/;
close(IN);

print <<END
Package: $name
Version: $version
Section: graphics
Priority: optional
Architecture: $arch
Depends: tesseract-ocr (>=3.00), tesseract-ocr-afr, tesseract-ocr-ara, tesseract-ocr-aze, tesseract-ocr-bel, tesseract-ocr-ben, tesseract-ocr-bul, tesseract-ocr-cat, tesseract-ocr-ces, tesseract-ocr-chi-sim, tesseract-ocr-chi-tra, tesseract-ocr-chr, tesseract-ocr-dan, tesseract-ocr-deu, tesseract-ocr-deu-frak, tesseract-ocr-ell, tesseract-ocr-eng, tesseract-ocr-enm, tesseract-ocr-epo, tesseract-ocr-est, tesseract-ocr-eus, tesseract-ocr-fin, tesseract-ocr-fra, tesseract-ocr-frk, tesseract-ocr-frm, tesseract-ocr-glg, tesseract-ocr-heb, tesseract-ocr-hin, tesseract-ocr-hrv, tesseract-ocr-hun, tesseract-ocr-ind, tesseract-ocr-isl, tesseract-ocr-ita, tesseract-ocr-ita, tesseract-ocr-jpn, tesseract-ocr-kan, tesseract-ocr-kor, tesseract-ocr-lav, tesseract-ocr-lit, tesseract-ocr-mal, tesseract-ocr-mkd, tesseract-ocr-mlt, tesseract-ocr-msa, tesseract-ocr-nld, tesseract-ocr-nor, tesseract-ocr-pol, tesseract-ocr-por, tesseract-ocr-ron, tesseract-ocr-rus, tesseract-ocr-slk, tesseract-ocr-slk-frak, tesseract-ocr-slv, tesseract-ocr-spa, tesseract-ocr-spa-old, tesseract-ocr-sqi, tesseract-ocr-srp, tesseract-ocr-swa, tesseract-ocr-swe, tesseract-ocr-tam, tesseract-ocr-tel, tesseract-ocr-tgl, tesseract-ocr-tha, tesseract-ocr-tur, tesseract-ocr-ukr, tesseract-ocr-vie, unpaper, exactimage, imagemagick, ghostscript
Installed-Size: $size
Maintainer: Tobias Elze <sourceforge\@tobias-elze.de>
Description: pdfsandwich is a tool to make "sandwich" OCR pdf files.
 pdfsandwich generates "sandwich" OCR pdf files, i.e. pdf files which contain only images 
 (no text) will be processed by optical character recognition (OCR) and the text will be 
 added to each page invisibly "behind" the images. pdfsandwich is a command line 
 tool which is supposed to be useful to OCR scanned books or journals. 
 It is able to recognize the page layout even for multicolumn text. 
 Essentially, pdfsandwich is a wrapper script which calls the following binaries: 
 convert, unpaper, gs, hocr2pdf (for tesseract < 3.03), and tesseract.


END
